Package org.zkoss.zkmax.bind.impl

## Class Init

- java.lang.Object
- - org.zkoss.zkmax.bind.impl.Init

-     public class Init
      extends java.lang.Object

  Author:
    dennis

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `APP_CONVERTERS` | Key of application converters, you set it by library-property in application zk.xml.
    `static java.lang.String` | `APP_VALIDATORS` | Key of application validators, you set it by library-property in application zk.xml The format is name=className, different validators are split by comma.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Init()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `init​(WebApp wapp)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### APP_CONVERTERS

          public static final java.lang.String APP_CONVERTERS

      Key of application converters, you set it by library-property in application zk.xml. The format is name=className, different converters are split by comma.

      Example

           <library-property>
             <name>org.zkoss.bind.appConverters</name>
             <value>foo=my.FooConverter,bar=my.BarConverter</value>
          </library-property>

      Since:
        6.0.1
      See Also:
        Constant Field Values

    - #### APP_VALIDATORS

          public static final java.lang.String APP_VALIDATORS

      Key of application validators, you set it by library-property in application zk.xml
      The format is name=className, different validators are split by comma.

      Example

           <library-property>
             <name>org.zkoss.bind.appValidators</name>
             <value>foo=my.FooValidator,bar=my.BarValidator</value>
          </library-property>

      Since:
        6.0.1
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Init

          public Init()

  - ### Method Detail

    - #### init

          public static void init​(WebApp wapp)
                           throws javax.servlet.ServletException

      Throws:
        `javax.servlet.ServletException`